## org.eclipse.uml2.common.util
Class SubsetEObjectEList<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.BasicEList<E>
                  org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>
                      org.eclipse.emf.ecore.util.NotifyingInternalEListImpl<E>
                          org.eclipse.emf.ecore.util.EcoreEList<E>
                              org.eclipse.emf.ecore.util.EObjectEList<E>
                                  org.eclipse.uml2.common.util.SubsetEObjectEList<E>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<E>, java.util.Collection<E>, java.util.List<E>, java.util.RandomAccess, org.eclipse.emf.common.notify.NotifyingList<E>, org.eclipse.emf.common.util.EList<E>, org.eclipse.emf.ecore.EStructuralFeature.Setting, org.eclipse.emf.ecore.util.InternalEList<E>, org.eclipse.emf.ecore.util.InternalEList.Unsettable<E>

Direct Known Subclasses:
  SubsetEObjectContainmentEList, SubsetEObjectEList.Unsettable, SubsetEObjectResolvingEList, SubsetEObjectWithInverseEList

Deprecated.

    @Deprecated
    public class SubsetEObjectEList<E>

extends org.eclipse.emf.ecore.util.EObjectEList<E>

See Also:
  Serialized Form

Nested Class Summary
`static class` `SubsetEObjectEList.Unsettable<E>` Deprecated.

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EcoreEList
`org.eclipse.emf.ecore.util.EcoreEList.Dynamic<E>, org.eclipse.emf.ecore.util.EcoreEList.Generic<E>, org.eclipse.emf.ecore.util.EcoreEList.UnmodifiableEList<E>`

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`org.eclipse.emf.common.util.BasicEList.BasicIndexOutOfBoundsException, org.eclipse.emf.common.util.BasicEList.EIterator<E1>, org.eclipse.emf.common.util.BasicEList.EListIterator<E1>, org.eclipse.emf.common.util.BasicEList.FastCompare<E>, org.eclipse.emf.common.util.BasicEList.NonResolvingEIterator<E1>, org.eclipse.emf.common.util.BasicEList.NonResolvingEListIterator<E1>`

Field Summary
`protected int[]` `supersetFeatureIDs` Deprecated.

Fields inherited from class org.eclipse.emf.ecore.util.EObjectEList
`featureID`

Fields inherited from class org.eclipse.emf.ecore.util.EcoreEList
`dataClass, owner`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SubsetEObjectEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int supersetFeatureID)` Deprecated.
`SubsetEObjectEList(java.lang.Class<?> dataClass, org.eclipse.emf.ecore.InternalEObject owner, int featureID, int[] supersetFeatureIDs)` Deprecated.

Method Summary
`boolean` `add(E object)` Deprecated.
`void` `add(int index, E object)` Deprecated.
`boolean` `addAll(java.util.Collection<? extends E> collection)` Deprecated.
`boolean` `addAll(int index, java.util.Collection<? extends E> collection)` Deprecated.
`org.eclipse.emf.common.notify.NotificationChain` `basicAdd(E object, org.eclipse.emf.common.notify.NotificationChain notifications)` Deprecated.
`org.eclipse.emf.common.notify.NotificationChain` `basicSet(int index, E object, org.eclipse.emf.common.notify.NotificationChain notifications)` Deprecated.
`E` `set(int index, E object)` Deprecated.
`protected void` `supersetAdd(java.lang.Object object)` Deprecated.

Methods inherited from class org.eclipse.emf.ecore.util.EObjectEList
`canContainNull, getFeatureID, hasInverse, isEObject, isUnique, resolve, useEquals`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreEList

`contains, createNotification, createNotification, dispatchNotification, get, getEObject, getEStructuralFeature, getFeature, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, indexOf, inverseAdd, inverseRemove, isContainment, isInstance, isNotificationRequired, isSet, lastIndexOf, newData, resolve, resolve, resolveProxy, set, toArray, toArray, unset, validate`

Methods inherited from class org.eclipse.emf.ecore.util.NotifyingInternalEListImpl
`basicContains, basicContainsAll, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifyingListImpl
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicRemove, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`assign, basicGet, clone, containsAll, data, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, get, getDuplicates, getNonDuplicates, grow, hashCode, isEmpty, iterator, listIterator, listIterator, move, remove, retainAll, setData, shrink, size, toString`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList
`addAllUnique, addAllUnique, addUnique, addUnique, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

Methods inherited from interface org.eclipse.emf.common.util.EList
`move, move`

Methods inherited from interface java.util.List
`clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, retainAll, size, subList`

Field Detail

### supersetFeatureIDs

    protected final int[] supersetFeatureIDs

  Deprecated.

Constructor Detail

### SubsetEObjectEList

    public SubsetEObjectEList(java.lang.Class<?> dataClass,
                              org.eclipse.emf.ecore.InternalEObject owner,
                              int featureID,
                              int[] supersetFeatureIDs)

  Deprecated.

### SubsetEObjectEList

    public SubsetEObjectEList(java.lang.Class<?> dataClass,
                              org.eclipse.emf.ecore.InternalEObject owner,
                              int featureID,
                              int supersetFeatureID)

  Deprecated.

Method Detail

### supersetAdd

    protected void supersetAdd(java.lang.Object object)

  Deprecated.

### basicAdd

    public org.eclipse.emf.common.notify.NotificationChain basicAdd(E object,
                                                                    org.eclipse.emf.common.notify.NotificationChain notifications)

  Deprecated.
  Specified by:
    `basicAdd` in interface `org.eclipse.emf.ecore.util.InternalEList<E>`
  Overrides:
    `basicAdd` in class `org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>`

### basicSet

    public org.eclipse.emf.common.notify.NotificationChain basicSet(int index,
                                                                    E object,
                                                                    org.eclipse.emf.common.notify.NotificationChain notifications)

  Deprecated.
  Overrides:
    `basicSet` in class `org.eclipse.emf.common.notify.impl.NotifyingListImpl<E>`

### add

    public void add(int index,
                    E object)

  Deprecated.
  Specified by:
    `add` in interface `java.util.List<E>`
  Overrides:
    `add` in class `org.eclipse.emf.common.util.BasicEList<E>`

### add

    public boolean add(E object)

  Deprecated.
  Specified by:
    `add` in interface `java.util.Collection<E>`
  Specified by:
    `add` in interface `java.util.List<E>`
  Overrides:
    `add` in class `org.eclipse.emf.common.util.BasicEList<E>`

### addAll

    public boolean addAll(java.util.Collection<? extends E> collection)

  Deprecated.
  Specified by:
    `addAll` in interface `java.util.Collection<E>`
  Specified by:
    `addAll` in interface `java.util.List<E>`
  Overrides:
    `addAll` in class `org.eclipse.emf.common.util.BasicEList<E>`

### addAll

    public boolean addAll(int index,
                          java.util.Collection<? extends E> collection)

  Deprecated.
  Specified by:
    `addAll` in interface `java.util.List<E>`
  Overrides:
    `addAll` in class `org.eclipse.emf.common.util.BasicEList<E>`

### set

    public E set(int index,
                 E object)

  Deprecated.
  Specified by:
    `set` in interface `java.util.List<E>`
  Overrides:
    `set` in class `org.eclipse.emf.common.util.BasicEList<E>`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.